<template>
  <div v-click-outside="closeModal" id="registerSuccessfulModal">
    <div class="modal-body">
      <img src="/images/icon/firework.svg" alt="firework">
      <p class="success_name">{{ $t('auth.register.success.sub_title') }} <span class="email">{{ modalData.email }}</span></p>
      <p class="success_description">{{ $t('auth.register.success.description') }}</p>
      <button class="btn-submit" @click="closeModal()">OK</button>
    </div>
  </div>
</template>
<script>
  export default {
    props: {
      modalData: {
        type: Object,
      }
    },
    methods: {
      closeModal() {
        this.$router.push('/login');
        this.$broadcast('close-modal');
      }
    },
  };
</script>
<style scoped lang="scss">
  @import '../../../../../sass/_variables.scss';
  * {
    font-family: $font-family-home;
  }
  #registerSuccessfulModal {
    width: 450px;
    height: 270px;
    border-radius: 10px;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    background-color: #f2f2f2;
    margin: auto;
    text-align: center;
    img {
      width: 70px;
      height: 70px;
      margin: 17px 0;
    }
    p {
      font-size: 16px;
      font-weight: normal;
      font-style: normal;
      font-stretch: normal;
      line-height: 1.56;
      letter-spacing: normal;
      text-align: center;
      color: #1c1c1c;
      margin: 0;
      .email {
        font-weight: bold;
      }
    }
    .btn-submit {
      width: 160px;
      height: 40px;
      border-radius: 30px;
      background-color: #fa7300;
      font-size: 14px;
      font-weight: bold;
      font-style: normal;
      font-stretch: normal;
      line-height: 2.5;
      letter-spacing: 0.5px;
      text-align: center;
      border: none;
      outline: none;
      color: #ffffff;
      margin-top: 20px;
      cursor: pointer;
    }
  }
</style>
